Monterey support

Hello there,

Unfortunately I need to upgrade to Monterey OS and was hopping to know if I can go all the way up to 12.3.1 or should I go lower than that?

Thanks in advance!
Pablo

Hi @pabloo

Sensory Percussion supports the latest version of Monterey. So no problem upgrading to the latest.

It’s usually just right when Apple releases a major new version that we recommend waiting to upgrade until it’s fully tested.

Thanks!

Tenoch